import request from '@/utils/request'

// 查询日期最靠前的24条电厂大屏每小时数据
export function listHourLatest24() {
  return request({
    url: '/aspen/hour/listLatest24',
    method: 'get'
  })
}

// 查询电厂大屏每小时数据列表
export function listHour(query) {
  return request({
    url: '/aspen/hour/list',
    method: 'get',
    params: query
  })
}

// 查询电厂大屏每小时数据详细
export function getHour(id) {
  return request({
    url: '/aspen/hour/' + id,
    method: 'get'
  })
}

// 新增电厂大屏每小时数据
export function addHour(data) {
  return request({
    url: '/aspen/hour',
    method: 'post',
    data: data
  })
}

// 修改电厂大屏每小时数据
export function updateHour(data) {
  return request({
    url: '/aspen/hour',
    method: 'put',
    data: data
  })
}

// 删除电厂大屏每小时数据
export function delHour(id) {
  return request({
    url: '/aspen/hour/' + id,
    method: 'delete'
  })
}

// 导出电厂大屏每小时数据
export function exportHour(query) {
  return request({
    url: '/aspen/hour/export',
    method: 'get',
    params: query
  })
}
